> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/add-payment-info.md).

# Add Payment Info

When user adds payment info, fire below event

```
window._mp.safeExecute('evAddPaymentInfo', function() {
   eedl('mp_add_payment_info', {
      currency: '<INR or actual currency>', // mandatory
      cart_id: '123', // mandatory
      value: 123.33, // float value of order
      coupon: '<optional coupon>', // Leave this undefined if there is no coupon
      payment_type: 'Credit Card', // optional
      shipping: 123.33, // total shipping value in float
      items: [/* Refer to Products Array page in reference below */],
      ev_source: 'ingestlabs'
    });
})();
```

### Send event from an iframe window

If the event occurs in a iframe window, you need to fire the event using the below script.

```
window.top.postMessage({
      event_name: 'mp_add_payment_info',
      event_payload: {
            currency: '<INR or actual currency>', // mandatory
            cart_id: '123', // mandatory
            value: 123.33, // float value of order
            coupon: '<optional coupon>', // Leave this undefined if there is no coupon
            payment_type: 'Credit Card', // optional
            shipping: 123.33, // total shipping value in float
            items: [/* Refer to Products Array page in reference below */],
            ev_source: '<Orign of the event>' // Example: 1Checkout, Razorpay, Gokwik, etc.
          }
    },
    'PARENT_URL'
);

PARENT_URL is the url of the website.
```

{% content-ref url="/pages/d2NZ4n0wQEnlBVinzBdl" %}
[Products Array](/implementation/web-sdk/tracking-events/products-array.md)
{% endcontent-ref %}

[<br>](https://magic-pixel.gitbook.io/ingest-labs-implementation/web-sdk/tracking-events/products-array)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/add-payment-info.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
